com.sun.messaging.jms

## Class MessageEOFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.MessageEOFException
        - - com.sun.messaging.jms.MessageEOFException

- All Implemented Interfaces:
    com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable

      public class MessageEOFException
      extends MessageEOFException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This exception must be thrown when an unexpected end of stream has been reached when a `StreamMessage` or `BytesMessage` is being read.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageEOFException(String reason)` Constructs a `MessageEOFException` with the specified reason and with the error code defaulting to null.
    `MessageEOFException(String reason, String errorCode)` Constructs a `MessageEOFException` with the specified reason and error code.
    `MessageEOFException(String reason, String errorCode, Throwable cause)` Constructs a `MessageEOFException` with the specified reason, error code, and a specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLogState()` get logging state of this object.
    `void` | `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `javax.jms.JMSException.getLinkedException()`
    `void` | `printStackTrace(PrintStream s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `javax.jms.JMSException.getLinkedException()`
    `void` | `printStackTrace(PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `JMSException.getLinkedException()`
    `void` | `setLinkedException(Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `MessageEOFException`.
    `void` | `setLogState(boolean state)` set state to true if this object is logged.

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageEOFException

          public MessageEOFException(String reason,
                             String errorCode)

      Constructs a `MessageEOFException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### MessageEOFException

          public MessageEOFException(String reason)

      Constructs a `MessageEOFException` with the specified reason and with the error code defaulting to null.
      Parameters:
        `reason` - a description of the exception

    - #### MessageEOFException

          public MessageEOFException(String reason,
                             String errorCode,
                             Throwable cause)

      Constructs a `MessageEOFException` with the specified reason, error code, and a specified cause.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code
        `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

  - ### Method Detail

    - #### setLinkedException

          public void setLinkedException(Exception ex)

      If running under J2SE1.4 or above, this method will also set the cause of the `MessageEOFException`. When a backtrace of the `MessageEOFException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

      Overrides:
        `setLinkedException` in class `JMSException`
      Parameters:
        `ex` - the linked `Exception`

    - #### printStackTrace

          public void printStackTrace()

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `javax.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `javax.jms.JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `MessageEOFException` and obtained via `JMSException.getLinkedException()`

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### setLogState

          public void setLogState(boolean state)

      set state to true if this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `state` - boolean

    - #### getLogState

          public boolean getLogState()

      get logging state of this object.
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        boolean true if this object is logged.

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.